from typing import Optional
from pydantic import BaseModel

class OfficeUser(BaseModel):
    username:str
    email:str
    password:str
    
class TokenUser(BaseModel):
    username: Optional[str] = None
    email: Optional[str] = None
    
class Shop(BaseModel):
    name: str
    tel: str
    email: str
    owner: str
    secret: str

class TokenShop(BaseModel):
    id: Optional[str] = None
    name: Optional[str] = None
    owner: Optional[str] = None


class Category(BaseModel):
    shop_id: str
    name:str
    
class Table(BaseModel):
    shop_id: str
    session_key:str
    name:str
    sit_number:str
    status:bool
    
class Menu(BaseModel):
    shop_id: str
    status: bool
    name:str
    category: str
    price:str
    images: list